Index: src/defaults.h
===================================================================
--- src/defaults.h	(revision 11086c2defca72c6721801934a247d69d28aedcf)
+++ src/defaults.h	(revision 6beb15749784609064dec92375dd8b72b6434236)
@@ -77,6 +77,13 @@
 	#define DEF_FONT_FAMILY "Courier New"
 #endif
-//! Default font size
-#define DEF_FONT_SIZE 10
+/*!
+ * \def DEF_FONT_SIZE
+ * \brief Default font size
+ */
+#ifdef Q_OS_SYMBIAN
+	#define DEF_FONT_SIZE 8
+#else
+	#define DEF_FONT_SIZE 10
+#endif // Q_OS_SYMBIAN
 //! Default font color
 #define DEF_FONT_COLOR Qt::black
Index: src/globals.h
===================================================================
--- src/globals.h	(revision 11086c2defca72c6721801934a247d69d28aedcf)
+++ src/globals.h	(revision 6beb15749784609064dec92375dd8b72b6434236)
@@ -57,5 +57,5 @@
  * \brief Bath to documentation files.
  */
-#if defined(Q_OS_LINUX) || defined(Q_OS_UNIX)
+#if defined(Q_OS_LINUX) || (defined(Q_OS_UNIX) && !defined(Q_OS_SYMBIAN))
 	#define PATH_I18N "/usr/share/tspsg/i18n"
 	#define PATH_DOCS "/usr/share/doc/tspsg"
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision 11086c2defca72c6721801934a247d69d28aedcf)
+++ src/main.cpp	(revision 6beb15749784609064dec92375dd8b72b6434236)
@@ -33,6 +33,4 @@
 #endif
 
-#include "qtwin.h"
-
 #ifdef STATIC_BUILD
 	Q_IMPORT_PLUGIN(qjpeg)
Index: src/mainwindow.cpp
===================================================================
--- src/mainwindow.cpp	(revision 11086c2defca72c6721801934a247d69d28aedcf)
+++ src/mainwindow.cpp	(revision 6beb15749784609064dec92375dd8b72b6434236)
@@ -64,13 +64,11 @@
 	connect(spinCities,SIGNAL(valueChanged(int)),this,SLOT(spinCitiesValueChanged(int)));
 
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 	if (settings->value("SavePos", DEF_SAVEPOS).toBool()) {
 		// Loading of saved window state
 		settings->beginGroup("MainWindow");
-#ifndef Q_OS_WINCE
 		restoreGeometry(settings->value("Geometry").toByteArray());
-#endif // Q_OS_WINCE
 		restoreState(settings->value("State").toByteArray());
 		settings->endGroup();
-#ifndef Q_OS_WINCE
 	} else {
 		// Centering main window
@@ -78,6 +76,8 @@
 		rect.moveCenter(QApplication::desktop()->availableGeometry(this).center());
 		setGeometry(rect);
+	}
+#else
+	setWindowState(windowState() | Qt::WindowMaximized);
 #endif // Q_OS_WINCE
-	}
 
 	tspmodel = new CTSPModel(this);
@@ -297,5 +297,5 @@
 //! \todo TODO: Normal about window :-)
 QString title;
-#ifdef Q_OS_WINCE
+#if defined(Q_OS_WINCE) || defined(Q_OS_SYMBIAN)
 	title += QString::fromUtf8("<b>TSPSG<br>TSP Solver and Generator</b><br>");
 #else
@@ -455,5 +455,5 @@
 	output.append("<p>&nbsp;&nbsp;" + solver.getSortedPath() + "</p>");
 	if (isInteger(step->price))
-		output.append("<p>" + tr("The price is <b>%n</b> unit(s).", "", step->price) + "</p>");
+		output.append("<p>" + tr("The price is <b>%n</b> unit(s).", "", qRound(step->price)) + "</p>");
 	else
 		output.append("<p>" + tr("The price is <b>%1</b> units.").arg(step->price, 0, 'f', settings->value("Task/FractionalAccuracy", DEF_FRACTIONAL_ACCURACY).toInt()) + "</p>");
@@ -531,5 +531,5 @@
 	if (settings->value("SavePos", DEF_SAVEPOS).toBool()) {
 		settings->beginGroup("MainWindow");
-#ifndef Q_OS_WINCE
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 		settings->setValue("Geometry", saveGeometry());
 #endif // Q_OS_WINCE
@@ -555,10 +555,10 @@
 void MainWindow::loadLangList()
 {
-QSettings langinfo(PATH_I18N"/languages.ini",QSettings::IniFormat);
+QSettings langinfo(PATH_I18N"/languages.ini", QSettings::IniFormat);
 #if QT_VERSION >= 0x040500
 	// In Qt < 4.5 QSettings doesn't have method setIniCodec.
 	langinfo.setIniCodec("UTF-8");
 #endif
-QDir dir(PATH_I18N,"*.qm",QDir::Name | QDir::IgnoreCase,QDir::Files);
+QDir dir(PATH_I18N, "*.qm", QDir::Name | QDir::IgnoreCase, QDir::Files);
 	if (!dir.exists())
 		return;
@@ -571,14 +571,14 @@
 		if (!lang.completeBaseName().startsWith("qt_") && lang.completeBaseName().compare("en")) {
 #if QT_VERSION >= 0x040500
-			a = menuSettingsLanguage->addAction(langinfo.value(lang.completeBaseName() + "/NativeName",lang.completeBaseName()).toString());
+			a = menuSettingsLanguage->addAction(langinfo.value(lang.completeBaseName() + "/NativeName", lang.completeBaseName()).toString());
 #else
 			// We use Name if Qt < 4.5 because NativeName is in UTF-8, QSettings
 			// reads .ini file as ASCII and there is no way to set file encoding.
-			a = menuSettingsLanguage->addAction(langinfo.value(lang.completeBaseName() + "/Name",lang.completeBaseName()).toString());
+			a = menuSettingsLanguage->addAction(langinfo.value(lang.completeBaseName() + "/Name", lang.completeBaseName()).toString());
 #endif
 			a->setData(lang.completeBaseName());
 			a->setCheckable(true);
 			a->setActionGroup(groupSettingsLanguageList);
-			if (settings->value("Language",QLocale::system().name()).toString().startsWith(lang.completeBaseName()))
+			if (settings->value("Language", QLocale::system().name()).toString().startsWith(lang.completeBaseName()))
 				a->setChecked(true);
 		}
@@ -592,6 +592,6 @@
 QString lng = lang;
 	if (lng.isEmpty()) {
-		ad = settings->value("Language","").toString().isEmpty();
-		lng = settings->value("Language",QLocale::system().name()).toString();
+		ad = settings->value("Language", "").toString().isEmpty();
+		lng = settings->value("Language", QLocale::system().name()).toString();
 	}
 static QTranslator *qtTranslator; // Qt library translator
@@ -613,9 +613,9 @@
 	// Trying to load system Qt library translation...
 	qtTranslator = new QTranslator(this);
-	if (qtTranslator->load("qt_" + lng,QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
+	if (qtTranslator->load("qt_" + lng, QLibraryInfo::location(QLibraryInfo::TranslationsPath)))
 		qApp->installTranslator(qtTranslator);
 	else {
 		// No luck. Let's try to load a bundled one.
-		if (qtTranslator->load("qt_" + lng,PATH_I18N))
+		if (qtTranslator->load("qt_" + lng, PATH_I18N))
 			qApp->installTranslator(qtTranslator);
 		else {
@@ -628,5 +628,5 @@
 	// Now let's load application translation.
 	translator = new QTranslator(this);
-	if (translator->load(lng,PATH_I18N))
+	if (translator->load(lng, PATH_I18N))
 		qApp->installTranslator(translator);
 	else {
@@ -634,5 +634,5 @@
 		translator = NULL;
 		if (!ad)
-			QMessageBox(QMessageBox::Warning,tr("Language Change"),tr("Unable to load translation language."),QMessageBox::Ok,this).exec();
+			QMessageBox::warning(this, tr("Language Change"), tr("Unable to load translation language."));
 		return false;
 	}
@@ -761,5 +761,5 @@
 #endif
 
-#ifndef Q_OS_WINCE
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 QStatusBar *statusbar = new QStatusBar(this);
 	statusbar->setObjectName("statusbar");
@@ -771,7 +771,9 @@
 #endif // Q_OS_WINCE
 
+	//! \hack HACK: A little hack for toolbar icons to have a sane size.
 #ifdef Q_OS_WINCE
-	//! \hack HACK: A little hack for toolbar icons to have a sane size.
 	toolBar->setIconSize(QSize(logicalDpiX() / 4, logicalDpiY() / 4));
+#elif defined(Q_OS_SYMBIAN)
+	toolBar->setIconSize(QSize(logicalDpiX() / 5, logicalDpiY() / 5));
 #endif // Q_OS_WINCE
 
Index: src/settingsdialog.cpp
===================================================================
--- src/settingsdialog.cpp	(revision 11086c2defca72c6721801934a247d69d28aedcf)
+++ src/settingsdialog.cpp	(revision 6beb15749784609064dec92375dd8b72b6434236)
@@ -42,5 +42,5 @@
 	buttonBox->button(QDialogButtonBox::Cancel)->setCursor(QCursor(Qt::PointingHandCursor));
 
-#ifdef Q_OS_WINCE
+#if defined(Q_OS_WINCE) || defined(Q_OS_SYMBIAN)
 	// Layout helper elements
 QVBoxLayout *vbox1;
@@ -55,5 +55,4 @@
 	hbox1->addWidget(buttonHelp);
 	hbox1->addStretch();
-	hbox1->addWidget(buttonBox);
 
 	// Central layout
@@ -151,5 +150,5 @@
 //	setWindowFlags(Qt::Dialog | Qt::CustomizeWindowHint | Qt::WindowTitleHint | Qt::MSWindowsFixedSizeDialogHint);
 	setWindowFlags(windowFlags() ^ Qt::WindowContextHelpButtonHint);
-#ifndef Q_OS_WINCE
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 	// Setting initial text of dialog hint label to own status tip text.
 	labelHint->setText(labelHint->statusTip());
@@ -164,5 +163,5 @@
 		cbUseTranslucency->setChecked(settings->value("UseTranslucency", DEF_USE_TRANSLUCENCY).toBool());
 #endif // Q_OS_WIN32
-#ifndef Q_OS_WINCE
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 	cbSaveState->setChecked(settings->value("SavePos", DEF_SAVEPOS).toBool());
 #endif // Q_OS_WINCE
@@ -223,5 +222,5 @@
 void SettingsDialog::accept()
 {
-#ifndef Q_OS_WINCE
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 	settings->setValue("SavePos", cbSaveState->isChecked());
 #endif // Q_OS_WINCE
@@ -282,5 +281,5 @@
 }
 
-#ifndef Q_OS_WINCE
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 bool SettingsDialog::event(QEvent *ev)
 {
Index: src/settingsdialog.h
===================================================================
--- src/settingsdialog.h	(revision 11086c2defca72c6721801934a247d69d28aedcf)
+++ src/settingsdialog.h	(revision 6beb15749784609064dec92375dd8b72b6434236)
@@ -59,9 +59,9 @@
 	QCheckBox *cbUseTranslucency;
 #endif // Q_OS_WIN32
-#ifndef Q_OS_WINCE
+#if !defined(Q_OS_WINCE) && !defined(Q_OS_SYMBIAN)
 	QCheckBox *cbSaveState;
 	QLabel *imgIcon;
+	QFrame *lineVertical;
 	QLabel *labelHint;
-	QFrame *lineVertical;
 
 	bool event(QEvent *ev);
Index: src/tspsolver.cpp
===================================================================
--- src/tspsolver.cpp	(revision 11086c2defca72c6721801934a247d69d28aedcf)
+++ src/tspsolver.cpp	(revision 6beb15749784609064dec92375dd8b72b6434236)
@@ -106,5 +106,5 @@
 int nRow, nCol;
 bool firstStep = true;
-double check;
+double check = INFINITY;
 	while (this->route.size() < nCities) {
 //		forbidden.clear();
@@ -141,5 +141,5 @@
 		left->matrix = step->matrix;
 		left->matrix[nRow][nCol] = INFINITY;
- 		left->price = step->price + align(left->matrix);
+		left->price = step->price + align(left->matrix);
 
 		step->candidate.nRow = nRow;
